%This script runs the DWT approximation by non-linear thresholding 
%
Get_Wavelets_Inputs %change this file to change the image 
%
[mImage, sInfo, map] = LoadImage(ImagePath); %load the image 
[mI, bitDepth] = MImage2Grey(mImage, sInfo, map);%convert it to Grey
%
%
Nb=8
bw=Nb
blockWidth=bw
s=floor(size(mI)/bw)
wlevel=5;
%
mI2=mI(1:s(1)*bw,1:s(2)*bw);
%
mI= waveletcdf97(mI2, wlevel);  %transform to wavelet domain
%
MaxInt=255;
%
[cc,nlind,cs]=NLA_Wavelets(mI,pss);%keep larget coefficents
%
[NCX, NCY]=size(mI);
Iw=reshape(cc,[NCX, NCY]);
%
mImage=waveletcdf97(Iw,-wlevel);
SNR=CalcPSNR2(mI2,mImage,MaxInt)
SR=numel(mI)/numel(cs)
